QTimerEvent(3qt)

NAME
QTimerEvent - Parameters that describe a timer event

SYNOPSIS

#include <qevent.h>

Inherits QEvent.

  Public Members
QTimerEvent ( int timerId )
int timerId () const

DESCRIPTION
The QTimerEvent class contains parameters that describe a timer event.

Timer events are sent at regular intervals to objects that have started one or more timers. Each timer has a unique identifier.

If interval is 0, then the timer event occurs once every time there are no more window system events to process.

The QTimer class provides a high-level programming interface with one-shot timers and timer signals instead of events.

The event handler QObject::timerEvent() receives timer events.

See also: QTimer, QObject::timerEvent(), QObject::startTimer(), QObject::killTimer() and QObject::killTimers().

Examples: dclock/dclock.cpp grapher/grapher.cpp forever/forever.cpp progress/progress.cpp qmag/qmag.cpp biff/biff.cpp

MEMBER FUNCTION DOCUMENTATION

QTimerEvent::QTimerEvent ( int timerId )
Constructs a timer event object with the timer identifier set to timerId.

int QTimerEvent::timerId () const
Returns the unique timer identifier, which is the same identifier as returned from QObject::startTimer().

SEE ALSO
http://www.troll.no/qt/qtimerevent.html

COPYRIGHT
Copyright 1992-1997 Troll Tech AS. See the LICENSE file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.